use std::fs;

use y2015::days::d12;

fn main() {
    part1();
    part2();
}

fn part1() {
    let root = env!("CARGO_MANIFEST_DIR");
    let content = fs::read_to_string(format!("{root}/resources/12_input.txt")).unwrap();
    println!("{}", d12::process_part1(&content));
}

fn part2() {
    let root = env!("CARGO_MANIFEST_DIR");
    let content = fs::read_to_string(format!("{root}/resources/12_input.txt")).unwrap();
    println!("{}", d12::process_part2(&content));
}
