use std::fs;

use y2015::days::d8;

fn main() {
    part1();
    part2();
}

fn part1() {
    let root = env!("CARGO_MANIFEST_DIR");
    let content = fs::read_to_string(format!("{root}/resources/8_input.txt")).unwrap();
    println!("{}", d8::process_part1(&content));
}

fn part2() {
    let root = env!("CARGO_MANIFEST_DIR");
    let content = fs::read_to_string(format!("{root}/resources/8_input.txt")).unwrap();
    println!("{}", d8::process_part2(&content));
}
