use std::fs;

use y2022::days::d2::{process_part1, process_part2};

fn main() {
    part1();
    part2();
}

fn part1() {
    let root = env!("CARGO_MANIFEST_DIR");
    let content = fs::read_to_string(format!("{root}/resources/2_input.txt")).unwrap();
    println!("{}", process_part1(&content));
}

fn part2() {
    let root = env!("CARGO_MANIFEST_DIR");
    let content = fs::read_to_string(format!("{root}/resources/2_input.txt")).unwrap();
    println!("{}", process_part2(&content));
}
