use std::fs;

use y2022::days::d7;

fn main() {
    part1();
    part2();
}

fn part1() {
    let root = env!("CARGO_MANIFEST_DIR");
    let content = fs::read_to_string(format!("{root}/resources/7_input.txt")).unwrap();
    println!("{}", d7::process_part1(&content));
}

fn part2() {
    let root = env!("CARGO_MANIFEST_DIR");
    let content = fs::read_to_string(format!("{root}/resources/7_input.txt")).unwrap();
    println!("{}", d7::process_part2(&content));
}
