use std::time::Instant;

use y2015::days::d4;

fn main() {
    part1();
    part2();
}

fn part1() {
    let now = Instant::now();
    println!("{}", d4::process_part1("bgvyzdsv"));
    println!("{}µs", now.elapsed().as_micros());
}

fn part2() {
    let now = Instant::now();
    println!("{}", d4::process_part2("bgvyzdsv"));
    println!("{}µs", now.elapsed().as_micros());
}
